Name:           i3status
Version:        2.1
Release:        1%{?dist}
Summary:        Generates a status line for dzen2 or wmii

Group:          User Interface/Desktops
License:        MIT
URL:            http://i3.zekjur.net/i3status/
Source0:        http://i3.zekjur.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libconfuse-devel
BuildRequires:  wireless-tools-devel
BuildRequires:  asciidoc
BuildRequires:  libAfterImage-devel


%description
i3status is a small program for filling dzen2 or wmii’s status bar via its 9P 
pseudo filesystem.


%prep
%setup -q

sed \
    -e 's|CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|CFLAGS+=%{optflags} -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|g' \
    -e 's|CFLAGS+=-g|CFLAGS+=|g' \
    -e 's|VERSION=$(shell git describe --tags --abbrev=0)|VERSION=2.0-%{gitversion}|g' \
    -e 's|@echo " CC $<"|@echo " $(CC) $(CFLAGS) -c -o $@ $<"|g' \
    -e 's|@echo " LD $@"|@echo " $(CC) -o $@ src/*.o *.o $(LDFLAGS)"|g' \
    -i Makefile


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install \
     DESTDIR=%{buildroot} \
     INSTALL="install -p"

mkdir -p %{buildroot}/%{_sysconfdir}/
install -Dpm0644 %{name}.conf \
        %{buildroot}/%{_sysconfdir}/%{name}.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man*/%{name}*
%{_sysconfdir}/%{name}.conf


%changelog
* Sun Apr 11 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.1-1
- New upstream release

* Sat Mar 20 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-4.20100320git
- Update to current git

* Sat Feb 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-2
- Some bugfixes (sync with upstream)

* Wed Dec 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 2.0-1
- Package build for Fedora
